<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_352) on Wed Jan 18 13:38:25 CET 2023 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF8">
<title>Index</title>
<meta name="date" content="2023-01-18">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:C">C</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#cpt">cpt</a></span> - Variable in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#creerTabAleatoire-int-int-int-">creerTabAleatoire(int, int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Rempli un tableau d'une longueur donnée avec des nombres aléatoires</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#creerTabFreq-int:A-int-">creerTabFreq(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">A partir d'un tableau initial passé en paramètre "leTab", cette méthode renvoie un nouveau tableau "tabFreq" d'entiers où chaque
 case contient la fréquence d'apparition des valeurs dans le tableau initial.</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#monSpleTab">monSpleTab</a></span> - Variable in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#principal--">principal()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">point d’entrée de l’exécution</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#rechercheDicho-int:A-int-int-">rechercheDicho(int[], int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Recherche dichotomique d'une valeur dans un tableau.</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#rechercheSeq-int:A-int-int-">rechercheSeq(int[], int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Recherche séquentielle d'une valeur dans un tableau.</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#separer-int:A-int-int-">separer(int[], int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Cette méthode renvoie l’indice de séparation du tableau en 2 parties par placement du pivot à la bonne case.</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasCreerTabFreq-int:A-int-int:A-">testCasCreerTabFreq(int[], int, int[])</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de creerTabFreq</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasRechercheDicho-int:A-int-int-int-">testCasRechercheDicho(int[], int, int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de rechercheDicho</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasRerchercheSeq-int:A-int-int-int-">testCasRerchercheSeq(int[], int, int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de verifTab</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasSeparer-int:A-int-int-int-">testCasSeparer(int[], int, int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de separer</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasTriABulles-int:A-int-int:A-">testCasTriABulles(int[], int, int[])</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de triABulles</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasTriParComptageFreq-int:A-int-int:A-">testCasTriParComptageFreq(int[], int, int[])</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de triParComptageFreq</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasTriRapide-int:A-int-int:A-">testCasTriRapide(int[], int, int[])</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de triRapide</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasTriSimple-int:A-int-int:A-">testCasTriSimple(int[], int, int[])</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de triSimple</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCasVerifTri-int:A-int-boolean-">testCasVerifTri(int[], int, boolean)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">teste un appel de verifTri</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCreerTabAleatoire--">testCreerTabAleatoire()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode creerTabAleatoire</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testCreerTabFreq--">testCreerTabFreq()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode creerTabFreq</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testRechercheDicho--">testRechercheDicho()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode rechercheDicho</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testRechercheDichoEfficacite--">testRechercheDichoEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testRechercheSeq--">testRechercheSeq()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode rechercheSeq</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testRechercheSeqEfficacite--">testRechercheSeqEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testSeparer--">testSeparer()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode separer</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriABulles--">testTriABulles()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode triABulles</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriABullesEfficacite--">testTriABullesEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriParComptageFreq--">testTriParComptageFreq()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode triParComptageFreq</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriParComptageFreqEfficacite--">testTriParComptageFreqEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriRapide--">testTriRapide()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode triRapide</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriRapideEfficacite--">testTriRapideEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriSimple--">testTriSimple()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode triSimple</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testTriSimpleEfficacite--">testTriSimpleEfficacite()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#testVerifTri--">testVerifTri()</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">test de la méthode verifTri</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#triABulles-int:A-int-">triABulles(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri à bulles : tant que le tableau n'est pas trié, permuter le contenu de 2
 cases successives si leTab[i] > leTab[i+1].</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#triParComptageFreq-int:A-int-">triParComptageFreq(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri par comptage de fréquences.</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#triRapide-int:A-int-">triRapide(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode du tri rapide (QuickSort).</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#triRapideRec-int:A-int-int-">triRapideRec(int[], int, int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Méthode de tri récursive selon le principe de séparation.</div>
</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#triSimple-int:A-int-">triSimple(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Tri par ordre croissant d'un tableau selon la méthode simple : l'élément minimum est placé en début de tableau (efficacité en n
 carré).</div>
</dd>
<dt><a href="TrisTableau.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">TrisTableau</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TrisTableau.html#TrisTableau--">TrisTableau()</a></span> - Constructor for class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="TrisTableau.html#verifTri-int:A-int-">verifTri(int[], int)</a></span> - Method in class <a href="TrisTableau.html" title="class in &lt;Unnamed&gt;">TrisTableau</a></dt>
<dd>
<div class="block">Vérifie que le tableau passé en paramètre est trié par ordre croissant des valeurs.</div>
</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
